1. Bulk
DICE
  • DICE
  • Authorization
    • Get Token
      GET
  • Communications
    • SMS
      • Overseas
        • OTP
        • Overseas - KYC Applicant
        • Overseas - KYC - Co Applicant
        • Overseas - 24 Hours Follow up on incomplete journey - Applicant
        • Overseas - 48 Hours Follow up on incomplete journey - Applicant
        • Overseas - 72 Hours Follow up on incomplete journey - Applicant
        • Overseas - 24 Hours Follow up on incomplete journey - Co Applicant
        • Overseas - 48 Hours Follow up on incomplete journey - Co Applicant
        • Overseas - 72 Hours Follow up on incomplete journey - Co Applicant
        • Overseas - Journey Completed - Applicant Copy
        • Overseas - Journey Completed - Co Applicant
      • Emi Reminder
      • Verify Mobile Number v1
      • Verify Mobile Number v2
      • KMS
      • Emi Overdue Reminder
    • Email
      • Overseas
        • Overseas OTP
        • Overseas Sign-Up Confirmation
        • Overseas - KYC Applicant
        • Overseas - KYC CoApplicant
        • 24 Hours Follow up on incomplete journey - Applicant
        • 48 Hours Follow up on incomplete journey - Applicant
        • 72 Hours Follow up on incomplete journey - Applicant
        • 24 Hours Follow up on incomplete journey - Co Applicant
        • 48 Hours Follow up on incomplete journey - Co Applicant
        • 72 Hours Follow up on incomplete journey - Co Applicant
        • Journey Applicant
        • Journey Completed - Co Applicant
        • Co Applicant Nomination Email
        • Co Applicant Nomination Rejection
        • Journey Completed and Assigned to CEM
        • Journey Completed - Both
      • Auxilo Thank You
    • Whatsapp
      • Overseas
        • Send OTP
        • Sign-Up Confirmation
        • KYC - Applicant
      • Akbar Travels
      • Lead Verify Mobile Number
      • Application Verify Mobile Number
  • OTP Validation API
    • Send OTP
      POST
    • Validate OTP
      POST
  • Logs
    • API Logs
      POST
  • Bulk
    • Batch Send
      POST
    • Batch Analytics
      GET
  1. Bulk

Batch Send

POST
batch-send
Send bulk SMS by providing a CSV URL.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'batch-send' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "channel": "sms",
    "template_id": 1,
    "csv_url": "https://martechuat.auxilo.com/Emi_reminder03_26.csv",
    "phone_column": "PHONENUMBER",
    "variable_map": {
        "name": "CUSTSHRTNAME",
        "loan_amount": "PRESENTMENTAMT",
        "loan_account_no": "LAN",
        "loan_date": "TRIGGER_DATE"
    }
}'
Response Response Example
{
    "status": "success",
    "batch_id": "5e2ef9a4-b29b-43ef-b700-16381c695bd1",
    "message": "Batch queued successfully."
}
Modified at 2026-03-26 10:25:55
Previous
API Logs
Next
Batch Analytics
Built with